/* IoErr.c   V1.0   93-09-26                        */
/* ROM library: "dos.library/IoErr", (All versions) */
/* Copyright 1993, Anders Bjerin, Amiga C Club      */

#include <dos/dos.h>

#include <clib/dos_protos.h>
#include <stdio.h>
#include <stdlib.h>

UBYTE *version = "$VER: IoErr 1.0";

int main( int argc, char *argv[] );
int main( int argc, char *argv[] )
{
  /* Store the error code here: */
  LONG error_code;


  /* Collect the global error code: */
  error_code = IoErr();

  /* Print the error code: */
  printf( "Error code: %d - ", error_code );

  /* Examine the error code: */  
  switch( error_code )
  {
    case ERROR_NO_FREE_STORE: printf( "Out of memory!\n" ); break;
    case ERROR_TASK_TABLE_FULL: printf( "To many processes running!\n" ); break;

    /* and so on... */

    default:
      printf( "Unknown error reported!\n" );
  }

  exit( 0 );
}

